## net.i2p.router.transport
Interface FIFOBandwidthLimiter.Request

Enclosing class:
  FIFOBandwidthLimiter

    public static interface FIFOBandwidthLimiter.Request

This is somewhat complicated by having both inbound and outbound in a single request. Making a request unidirectional would be a good simplification. But NTCP would have to be changed as it puts them on one queue.

Method Summary
`void` `abort()` we no longer want the data requested (the connection closed)
`void` `attach(Object obj)`
`Object` `attachment()`
`boolean` `getAborted()` was this request aborted?
`FIFOBandwidthLimiter.CompleteListener` `getCompleteListener()`
`int` `getPendingInboundRequested()` how many inbound bytes were requested and haven't yet been allocated?
`int` `getPendingOutboundRequested()` how many outbound bytes were requested and haven't yet been allocated?
`String` `getRequestName()` describe this particular request
`long` `getRequestTime()` when was the request made?
`int` `getTotalInboundRequested()` how many inbound bytes were requested?
`int` `getTotalOutboundRequested()` how many outbound bytes were requested?
`void` `init(int in, int out, String target)` thar be dragons
`void` `setCompleteListener(FIFOBandwidthLimiter.CompleteListener lsnr)`
`void` `waitForNextAllocation()` block until we are allocated some more bytes

Method Detail

### getRequestName

    String getRequestName()

  describe this particular request

### getRequestTime

    long getRequestTime()

  when was the request made?

### getTotalOutboundRequested

    int getTotalOutboundRequested()

  how many outbound bytes were requested?

### getPendingOutboundRequested

    int getPendingOutboundRequested()

  how many outbound bytes were requested and haven't yet been allocated?

### getTotalInboundRequested

    int getTotalInboundRequested()

  how many inbound bytes were requested?

### getPendingInboundRequested

    int getPendingInboundRequested()

  how many inbound bytes were requested and haven't yet been allocated?

### waitForNextAllocation

    void waitForNextAllocation()

  block until we are allocated some more bytes

### abort

    void abort()

  we no longer want the data requested (the connection closed)

### getAborted

    boolean getAborted()

  was this request aborted?

### init

    void init(int in,
              int out,
              String target)

  thar be dragons

### setCompleteListener

    void setCompleteListener(FIFOBandwidthLimiter.CompleteListener lsnr)

### attach

    void attach(Object obj)

### attachment

    Object attachment()

### getCompleteListener

    FIFOBandwidthLimiter.CompleteListener getCompleteListener()